Loading...
Searching...
No Matches
raptor::file_reader< file_types::sequence > Class Reference

## Public Member Functions

| file_reader (file_reader &&)=default
| file_reader (file_reader const &)=default
| file_reader (seqan3::shape const shape, uint32_t const window_size)
void | for_each_hash (std::string const &filename, auto &&callback) const
void | for_each_hash (std::vector< std::string > const &filenames, auto &&callback) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into (std::string const &filename, it_t target) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into (std::vector< std::string > const &filenames, it_t target) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into_if (std::string const &filename, it_t target, auto &&pred) const
template<std::output_iterator< uint64_t > it_t>
void | hash_into_if (std::vector< std::string > const &filenames, it_t target, auto &&pred) const
void | on_hash (std::string const &filename, auto &&callback) const
void | on_hash (std::vector< std::string > const &filenames, auto &&callback) const
file_reader & | operator= (file_reader &&)=default
file_reader & | operator= (file_reader const &)=default

## Private Types

using | sequence_file_t = seqan3::sequence_file_input<dna4_traits, seqan3::fields<seqan3::field::seq>>
using | view_t = decltype(seqan3::views::minimiser_hash(seqan3::shape{}, seqan3::window_size{}, seqan3::seed{}))

## Private Attributes

view_t | minimiser_view = seqan3::views::minimiser_hash(seqan3::shape{}, seqan3::window_size{}, seqan3::seed{})

The documentation for this class was generated from the following file:

- file_reader.hpp